From 88b9bc561ce42f2eb97ea041cd8920797b44dd53 Mon Sep 17 00:00:00 2001
From: Rafael Cossovan <navossoc@gmail.com>
Date: Tue, 3 Apr 2018 17:05:42 -0300
Subject: [PATCH 3/3] Fixes a compile warning when building with musl: #warning
 redirecting incorrect #include <sys/poll.h> to <poll.h>

---
 src/iface.cc | 2 +-
 src/iface.h  | 2 +-
 src/proxy.h  | 2 +-
 src/rule.h   | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/iface.cc b/src/iface.cc
index f569d3c..7cbb57f 100644
--- a/src/iface.cc
+++ b/src/iface.cc
@@ -30,7 +30,7 @@
 #include <sys/ioctl.h>
 #include <sys/types.h>
 #include <sys/socket.h>
-#include <sys/poll.h>
+#include <poll.h>
 
 #include <linux/filter.h>
 
diff --git a/src/iface.h b/src/iface.h
index 9db59ab..df7ff35 100644
--- a/src/iface.h
+++ b/src/iface.h
@@ -20,7 +20,7 @@
 #include <vector>
 #include <map>
 
-#include <sys/poll.h>
+#include <poll.h>
 #include <net/ethernet.h>
 
 #include "ndppd.h"
diff --git a/src/proxy.h b/src/proxy.h
index 8141b2a..9299d9a 100644
--- a/src/proxy.h
+++ b/src/proxy.h
@@ -19,7 +19,7 @@
 #include <vector>
 #include <map>
 
-#include <sys/poll.h>
+#include <poll.h>
 
 #include "ndppd.h"
 
diff --git a/src/rule.h b/src/rule.h
index 0c2f79a..23086e6 100644
--- a/src/rule.h
+++ b/src/rule.h
@@ -20,6 +20,6 @@
 #include <map>
 
-#include <sys/poll.h>
+#include <poll.h>
 
 #include "ndppd.h"

